OpenCV: core/include/opencv2/core/cvstd.hpp File Reference

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Namespaces | Functions
cvstd.hpp File Reference
`#include "opencv2/core/cvdef.h"`
`#include <cstddef>`
`#include <cstring>`
`#include <cctype>`
`#include <string>`
`#include <algorithm>`
`#include <utility>`
`#include <cstdlib>`
`#include <cmath>`
`#include "opencv2/core/ptr.inl.hpp"`

## Classes
class | cv::Allocator< _Tp >
struct | cv::Ptr< T >
| Template class for smart pointers with shared ownership. More...
class | cv::Allocator< _Tp >::rebind< U >
class | cv::String

## Namespaces
| cv

## Functions
static uchar | cv::abs (uchar a)
static ushort | cv::abs (ushort a)
static unsigned | cv::abs (unsigned a)
static uint64 | cv::abs (uint64 a)
void | cv::fastFree (void *ptr)
| Deallocates a memory buffer. More...
void * | cv::fastMalloc (size_t bufSize)
| Allocates an aligned memory buffer. More...
template<typename T >
Ptr< T > | cv::makePtr ()
template<typename T , typename A1 >
Ptr< T > | cv::makePtr (const A1 &a1)
template<typename T , typename A1 , typename A2 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2)
template<typename T , typename A1 , typename A2 , typename A3 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 , typename A6 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5, const A6 &a6)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 , typename A6 , typename A7 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5, const A6 &a6, const A7 &a7)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 , typename A6 , typename A7 , typename A8 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 , typename A6 , typename A7 , typename A8 , typename A9 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8, const A9 &a9)
template<typename T , typename A1 , typename A2 , typename A3 , typename A4 , typename A5 , typename A6 , typename A7 , typename A8 , typename A9 , typename A10 >
Ptr< T > | cv::makePtr (const A1 &a1, const A2 &a2, const A3 &a3, const A4 &a4, const A5 &a5, const A6 &a6, const A7 &a7, const A8 &a8, const A9 &a9, const A10 &a10)
template<typename T >
bool | cv::operator!= (const Ptr< T > &ptr1, const Ptr< T > &ptr2)
template<typename T >
bool | cv::operator== (const Ptr< T > &ptr1, const Ptr< T > &ptr2)
template<typename T >
void | cv::swap (Ptr< T > &ptr1, Ptr< T > &ptr2)
static void | std::swap (cv::String &a, cv::String &b)

## Function Documentation

## ◆ swap()

static void std::swap | ( | cv::String & | a,
|  | cv::String & | b
| ) |  |
| inlinestatic